Index: in-commerce/units/orders/orders_config.php
===================================================================
--- in-commerce/units/orders/orders_config.php	(revision 15560)
+++ in-commerce/units/orders/orders_config.php	(working copy)
@@ -541,7 +541,7 @@
 						// for "one step checkout"
 						'UserPassword' => Array (
 							'type' => 'string',
-							'formatter' => 'kPasswordFormatter', 'encryption_method' => 'md5', 'verify_field' => 'VerifyUserPassword',
+							'formatter' => 'kPasswordFormatter', 'hashing_method' => PasswordHashingMethod::MD5, 'verify_field' => 'VerifyUserPassword',
 							'skip_empty' => 1, 'default' => 'd41d8cd98f00b204e9800998ecf8427e'
 						),
 
Index: in-commerce/units/orders/orders_event_handler.php
===================================================================
--- in-commerce/units/orders/orders_event_handler.php	(revision 15568)
+++ in-commerce/units/orders/orders_event_handler.php	(working copy)
@@ -3691,6 +3691,12 @@
 		}
 
 		$this->Application->setUnitOption($event->Prefix, 'Fields', $fields);
+
+		$user_forms = $this->Application->getUnitOption('u', 'Forms');
+
+		$virtual_fields = $this->Application->getUnitOption($event->Prefix, 'VirtualFields');
+		$virtual_fields['UserPassword']['hashing_method'] = $user_forms['default']['Fields']['PasswordHashingMethod']['default'];
+		$this->Application->setUnitOption($event->Prefix, 'VirtualFields', $virtual_fields);
 	}
 
 	/**
